<?php

   ini_set("display_errors", "off"); 
	//Código para incluir las librerias
	 include_once("../src/conexion.php");
	 

	 //Conexión con el servidor
	  $link=ConectarseServidor();

	 //Conexión con la base de datos
	  ConectarseBaseDatos($link);
 
	  
	  //realiza consulta a la base de datos
	  $sql = "SELECT cedula, CONCAT(nombre,' ',apellido) nombre, direccion,celular FROM cliente"; 
     
	 	 
     $result=mysql_query($sql,$link);
	   
	   
     //crea nombre del archivo excel
    $nomArchivo = "ListadoClientes.csv";
	
	//permite lecto escritura (w+)
	$arch = fopen($nomArchivo,"w+");
	

	//pinta las columnas del excel (los encabezados)
	fwrite($arch,"cedula;nombre;direccion;celular"."\n");	
     
		 
	 //almacena en vector la informacion
	 while ($row = mysql_fetch_array($result)){
		
		fwrite($arch,$row["cedula"].";".$row["nombre"].";".$row["direccion"].";".$row["celular"]."\n");	
				
	}//fin del while
		
	//permite descargar Archivo de excel
	$basefichero = basename("ListadoClientes.csv");

	header( "Content-Type: application/octet-stream");
	header( "Content-Length: ".filesize("ListadoClientes.csv"));
	header( "Content-Disposition: attachment; filename=".$basefichero."");
	readfile("ListadoClientes.csv");	
			 
	 //cierra el archivo
	 fclose($arch);
		
	 //libera memoria
	 mysql_free_result ($result);

		
	 	
?>